/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022KS00.java

*

* Created on 21/09/09 11:07:17

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public interface Q02bITablaBDQ022KS00 {

    /** Method reset */

    public void reset();



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna);



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect();



    /** Method freeResources() 

    * Este método libera los recursos del DAO.

    */

    public void freeResources();



    /** Method freeResourcesNotConnection() 

    * Este método libera los recursos del DAO.

    */

    public void freeResourcesNotConnection();



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect();



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas);



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas);



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom();



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif();



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead();



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur);



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate();



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu);



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas);



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy();



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException ;



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException ;



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException;



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException;



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException;



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException;



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException;



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException;



    /** Method update() */

    public void update()throws SQLException;



    /** Method update(where) 

    * @param where New value of property WHERE.

    */

    public void update(String  where )throws SQLException;



    /** Method delete(where) 

    * @param where New value of property WHERE.

    */

    public void delete(String where)throws SQLException;



    /** Method delete */

    public void delete()throws SQLException;



    /** Method insert */

    public void insert()throws SQLException;



    /** Setter for property Q022KT00_ID_CONT.

    * @param valor New value of propertyQ022KT00_ID_CONT.

    */

    public void setQ022KT00_ID_CONT(int valor);

    public void setQ022KT00_ID_CONT(Integer valor);

    public void setQ022KT00_ID_CONT_WHERE(int valor);

    public void setQ022KT00_ID_CONT_WHERE(Integer valor);

    public void setQ022KT00_ID_CONT_MODIF(boolean valor);

    /** Setter for property Q022KT00_PROV.

    * @param valor New value of propertyQ022KT00_PROV.

    */

    public void setQ022KT00_PROV(String valor);

    public void setQ022KT00_PROV_WHERE(String valor);

    public void setQ022KT00_PROV_MODIF(boolean valor);

    /** Setter for property Q022KT00_MUNI.

    * @param valor New value of propertyQ022KT00_MUNI.

    */

    public void setQ022KT00_MUNI(String valor);

    public void setQ022KT00_MUNI_WHERE(String valor);

    public void setQ022KT00_MUNI_MODIF(boolean valor);

    /** Setter for property Q022KT00_ID_INF.

    * @param valor New value of propertyQ022KT00_ID_INF.

    */

    public void setQ022KT00_ID_INF(int valor);

    public void setQ022KT00_ID_INF(Integer valor);

    public void setQ022KT00_ID_INF_WHERE(int valor);

    public void setQ022KT00_ID_INF_WHERE(Integer valor);

    public void setQ022KT00_ID_INF_MODIF(boolean valor);

    /** Setter for property Q022KT00_ID_AGEN.

    * @param valor New value of propertyQ022KT00_ID_AGEN.

    */

    public void setQ022KT00_ID_AGEN(int valor);

    public void setQ022KT00_ID_AGEN(Integer valor);

    public void setQ022KT00_ID_AGEN_WHERE(int valor);

    public void setQ022KT00_ID_AGEN_WHERE(Integer valor);

    public void setQ022KT00_ID_AGEN_MODIF(boolean valor);

    /** Setter for property Q022KT00_FECC.

    * @param valor New value of propertyQ022KT00_FECC.

    */

    public void setQ022KT00_FECC(java.util.Date valor);

    public void setQ022KT00_FECC_WHERE(java.util.Date valor);

    public void setQ022KT00_FECC_MODIF(boolean valor);

    /** Setter for property Q022KT00_RCON.

    * @param valor New value of propertyQ022KT00_RCON.

    */

    public void setQ022KT00_RCON(String valor);

    public void setQ022KT00_RCON_WHERE(String valor);

    public void setQ022KT00_RCON_MODIF(boolean valor);

    /** Setter for property Q022KT00_FECR.

    * @param valor New value of propertyQ022KT00_FECR.

    */

    public void setQ022KT00_FECR(java.util.Date valor);

    public void setQ022KT00_FECR_WHERE(java.util.Date valor);

    public void setQ022KT00_FECR_MODIF(boolean valor);

    /** Setter for property Q022KT00_OBSHR.

    * @param valor New value of propertyQ022KT00_OBSHR.

    */

    public void setQ022KT00_OBSHR(String valor);

    public void setQ022KT00_OBSHR_WHERE(String valor);

    public void setQ022KT00_OBSHR_MODIF(boolean valor);

    /** Setter for property Q022HT00_ID_OFI.

    * @param valor New value of propertyQ022HT00_ID_OFI.

    */

    public void setQ022HT00_ID_OFI(int valor);

    public void setQ022HT00_ID_OFI(Integer valor);

    public void setQ022HT00_ID_OFI_WHERE(int valor);

    public void setQ022HT00_ID_OFI_WHERE(Integer valor);

    public void setQ022HT00_ID_OFI_MODIF(boolean valor);

    /** Setter for property Q022YT00_NI_TIPO_CON.

    * @param valor New value of propertyQ022YT00_NI_TIPO_CON.

    */

    public void setQ022YT00_NI_TIPO_CON(long valor);

    public void setQ022YT00_NI_TIPO_CON(Long valor);

    public void setQ022YT00_NI_TIPO_CON_WHERE(long valor);

    public void setQ022YT00_NI_TIPO_CON_WHERE(Long valor);

    public void setQ022YT00_NI_TIPO_CON_MODIF(boolean valor);

    /** Setter for property auditUser. 

    * @param valor New value of property auditUser.

    */

    public void setAuditUser(long  valor);

    public void setAuditUser(Long  valor);



    /** Getter for property Q022KT00_ID_CONT.

    * @return Value of property Q022KT00_ID_CONT.

    */

    public Integer getQ022KT00_ID_CONT();



    /** Getter for property Q022KT00_ID_CONT_WHERE.

    * @return Value of property Q022KT00_ID_CONT_WHERE.

    */

    public Integer getQ022KT00_ID_CONT_WHERE();



    /** Getter for property Q022KT00_PROV.

    * @return Value of property Q022KT00_PROV.

    */

    public String getQ022KT00_PROV();



    /** Getter for property Q022KT00_PROV_WHERE.

    * @return Value of property Q022KT00_PROV_WHERE.

    */

    public String getQ022KT00_PROV_WHERE();



    /** Getter for property Q022KT00_MUNI.

    * @return Value of property Q022KT00_MUNI.

    */

    public String getQ022KT00_MUNI();



    /** Getter for property Q022KT00_MUNI_WHERE.

    * @return Value of property Q022KT00_MUNI_WHERE.

    */

    public String getQ022KT00_MUNI_WHERE();



    /** Getter for property Q022KT00_ID_INF.

    * @return Value of property Q022KT00_ID_INF.

    */

    public Integer getQ022KT00_ID_INF();



    /** Getter for property Q022KT00_ID_INF_WHERE.

    * @return Value of property Q022KT00_ID_INF_WHERE.

    */

    public Integer getQ022KT00_ID_INF_WHERE();



    /** Getter for property Q022KT00_ID_AGEN.

    * @return Value of property Q022KT00_ID_AGEN.

    */

    public Integer getQ022KT00_ID_AGEN();



    /** Getter for property Q022KT00_ID_AGEN_WHERE.

    * @return Value of property Q022KT00_ID_AGEN_WHERE.

    */

    public Integer getQ022KT00_ID_AGEN_WHERE();



    /** Getter for property Q022KT00_FECC.

    * @return Value of property Q022KT00_FECC.

    */

    public java.util.Date getQ022KT00_FECC();



    /** Getter for property Q022KT00_FECC_WHERE.

    * @return Value of property Q022KT00_FECC_WHERE.

    */

    public java.util.Date getQ022KT00_FECC_WHERE();



    /** Getter for property Q022KT00_RCON.

    * @return Value of property Q022KT00_RCON.

    */

    public String getQ022KT00_RCON();



    /** Getter for property Q022KT00_RCON_WHERE.

    * @return Value of property Q022KT00_RCON_WHERE.

    */

    public String getQ022KT00_RCON_WHERE();



    /** Getter for property Q022KT00_FECR.

    * @return Value of property Q022KT00_FECR.

    */

    public java.util.Date getQ022KT00_FECR();



    /** Getter for property Q022KT00_FECR_WHERE.

    * @return Value of property Q022KT00_FECR_WHERE.

    */

    public java.util.Date getQ022KT00_FECR_WHERE();



    /** Getter for property Q022KT00_OBSHR.

    * @return Value of property Q022KT00_OBSHR.

    */

    public String getQ022KT00_OBSHR();



    /** Getter for property Q022KT00_OBSHR_WHERE.

    * @return Value of property Q022KT00_OBSHR_WHERE.

    */

    public String getQ022KT00_OBSHR_WHERE();



    /** Getter for property Q022HT00_ID_OFI.

    * @return Value of property Q022HT00_ID_OFI.

    */

    public Integer getQ022HT00_ID_OFI();



    /** Getter for property Q022HT00_ID_OFI_WHERE.

    * @return Value of property Q022HT00_ID_OFI_WHERE.

    */

    public Integer getQ022HT00_ID_OFI_WHERE();



    /** Getter for property Q022YT00_NI_TIPO_CON.

    * @return Value of property Q022YT00_NI_TIPO_CON.

    */

    public Long getQ022YT00_NI_TIPO_CON();



    /** Getter for property Q022YT00_NI_TIPO_CON_WHERE.

    * @return Value of property Q022YT00_NI_TIPO_CON_WHERE.

    */

    public Long getQ022YT00_NI_TIPO_CON_WHERE();



    /** Getter for property auditUser.

    * @return Value of property auditUser.

    */

    public Long getAuditUser();



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor);



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase();



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion();



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog();



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor);



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros();



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor);



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy();



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor);



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere();



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere();



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor);



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere();



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor);



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor);



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct();



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor);



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio();



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor);



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal();



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor);



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows();



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor);



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax();



    /** Getter for property conexion.

    * @return Value of property conexion.

    */

    public Connection getConn();



}

